製品 > Esri Maps for IBM Cognos > 動作環境

Esri Maps for IBM Cognos

動作環境

IBM Cognos BI

サポートする IBM Cognos のバージョンとオペレーティングシステムは下記のとおりです。

IBM Cognos のバージョン Esri Maps for IBM Cognos のバージョン
  6.1 6.1.1

10.1

10.1 GA
10.1 FP1

10.1.1

10.1.1 RP1
10.1.1 FP1
10.1.1 FP2
10.1.1 FP3
10.1.1 FP4
10.1.1 FP5

10.2

10.2
10.2 FP1
10.2 FP2
10.2 FP3
10.2 FP4
10.2 FP5

10.2.1

10.2.1
10.2.1 FP1
10.2.1 FP2
10.2.1 FP3
10.2.1 FP4
10.2.1 FP5
10.2.1 FP6
10.2.1 FP7
10.2.1 FP8
10.2.1 FP9
10.2.1 FP10
10.2.1 FP11

10.2.2*

10.2.2
10.2.2 FP1
10.2.2 FP2
10.2.2 FP3
10.2.2 FP4
10.2.2 FP5
10.2.2 FP6

*サポートする IBM Cognos 製品群:IBM Cognos Express 10.2.2 および IBM Cognos Enterprise

オペレーティング システム

オペレーティング システム Esri Maps for IBM Cognos のバージョン
  6.1 6.1.1

Windows Server

2008
2008 R2
2012
2012 R2

Red Hat Enterprise Linux Server

5.3+ ✔* ✔*

Novell SUSE Linux Enterprise Server

10 SP1+ ✔*
System z では 10.3 以降 ✔* ✔*

IBM AIX

6.1+

* 64 ビット バージョンの System z のみがサポートされています。

Windows 以外をご利用の場合は、別途お問い合わせください。

補足:Linux および UNIX での前提条件

Linux および UNIX オペレーティング システム上で Esri Maps for IBM Cognos の EM4C ゲートウェイを実行するには、次のシステム ライブラリが必要です。

  • Linux (32 ビット)
    • linux-gate.so.1
    • /lib/libc.so.6
    • /lib/libdl.so.2
    • /lib/librt.so.1
    • /lib/ld-linux.so.2
    • /lib/libpthread.so.0
  • Linux (64 ビット)
    • /lib64/libc.so.6
    • /lib64/libdl.so.2
    • /lib64/librt.so.1
    • /lib64/ld-linux-x86-64.so.2
    • /lib64/libpthread.so.0
  • Linux System z (64 ビット)*
    • /lib64/libc.so.6
    • /lib64/libdl.so.2
    • /lib64/librt.so.1
    • /lib/ld64.so.1
    • /lib64/libpthread.so.0
  • AIX (32 ビット)
    • unix
    • libc.a (shr.o)
    • libcrypt.a (shr.o)
    • libiconv.a (shr4.o)
    • libpthreads.a (shr_xpg5.o)
    • libpthreads.a (shr_comm.o)
  • AIX (64 ビット)
    • unix
    • libc.a (shr_64.o)
    • ibcrypt.a (shr_64.o)
    • libiconv.a (shr4_64.o)
    • libpthreads.a (shr_xpg5_64.o)

Web ブラウザ

下記の表は、IBM Cognos の対応ブラウザーにおける、Esri Maps for IBM Cognos のサポート状況を示しています。

ブラウザー Esri Maps for IBM Cognos のバージョン
  6.1 6.1.1
iOS 上の Apple Safari 7
8
Google Chrome 33
41
51
Android 用 Google Chrome 36
40
51
Internet Explorer** 10***
11***
Firefox ESR 24
ESR 31
ESR 38
ESR 45

**ヒート マップは、Internet Explorer 内で動作する IBM Cognos との互換性はありません。詳細については、技術情報記事 42801をご参照ください。

***Internet Explorer 10 および 11 は、互換性モードのみサポートされています。

Android 用 Google Chrome、および iOS 上の Apple Safari の各ブラウザーは、レポート利用者に対してのみサポートされます。Esri Maps Designer アプリケーションは、これらのブラウザーではサポートされていません。

ArcGIS プラットフォーム

Esri Maps for IBM Cognos を利用するには、ArcGIS Online 組織サイトの組織向けプランまたは Portal for ArcGIS(ArcGIS for Server エクステンション) が必要です。

それぞれのプラットフォームの対応状況は下記の表のとおりです。

  • ArcGIS Online: 現在のバージョン
  • Portal for ArcGIS: 10.3、10.3.1、10.4、10.4.1

Esri ヘルプ サイト

その他情報は、こちらをご参照ください。

Copyright© 2002-2018 Esri Japan Corporation. All rights reserved.
トップへ戻る